[Overview][Resource strings][Constants][Types][Classes][Variables][Index] | Reference for unit 'simpleipc' (#fcl)

# TSimpleIPCClient.SendStringMessageFmt

Send a formatted string message

## Declaration

Source position: line 0

`public procedure TSimpleIPCClient.SendStringMessageFmt(`
`const Msg: string;`
`Args: array of Const`
`); procedure TSimpleIPCClient.SendStringMessageFmt(`
`MsgType: TMessageType;`
`const Msg: string;`
`Args: array of Const`
`);`

## Arguments

`Msg` |  | Format string for message
`Args` |  | Arguments to format string with

## Arguments

`MsgType` |  | Message type.
`Msg` |  | Format string for message
`Args` |  | Arguments to format string with

## Description

SendStringMessageFmt sends a string message with type MsgTyp and message formatted from Msg and Args to the server. This is a convenience function: a small wrapper around the SendStringMessage method

## Errors

Same as for SendMessage.

## See also

SendMessage |  | Send a message to the server
Connect |  | Connect to the server
SendStringMessage |  | Send a string message to the server

Documentation generated on: Feb 26 2014